io.etcd.jetcd.lease

## Class LeaseGrantResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<LeaseGrantResponse>
  - - io.etcd.jetcd.lease.LeaseGrantResponse

All Implemented Interfaces:
  Response

    public class LeaseGrantResponse
    extends AbstractResponse<LeaseGrantResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`LeaseGrantResponse(LeaseGrantResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getID()` ID is the lease ID for the granted lease.
`long` `getTTL()` TTL is the server chosen lease time-to-live in seconds.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LeaseGrantResponse

    public LeaseGrantResponse(LeaseGrantResponse response)

### Method Detail

#### getID

    public long getID()

ID is the lease ID for the granted lease.

#### getTTL

    public long getTTL()

TTL is the server chosen lease time-to-live in seconds.